View all methods
snapshots.getFile
Download an Excel file containing results for a specific snapshot—the snapshot must be closed.
Facts
| Method | GET https://api.getdx.com/snapshots.getFile |
| Required scope | snapshots:admin |
Arguments
| Name | Type | Description |
|---|---|---|
token |
Token |
Auth token passed as an HTTP header. |
snapshot_id |
Text |
The unique ID of the snapshot. |
Example request
This is a typical request:
curl -X GET https://api.getdx.com/snapshots.getFile?snapshot_id=<SNAPSHOT_ID> \
--header 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'
Errors
This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.
| Error | Description |
|---|---|
not_authed |
No authentication token provided. |
invalid_auth |
Some aspect of authentication cannot be validated. |